diff --git a/pci/hda/patch_conexant.c b/pci/hda/patch_conexant.c
index 114af8e..63e2fb2 100644
--- a/pci/hda/patch_conexant.c
+++ b/pci/hda/patch_conexant.c
@@ -1784,7 +1784,9 @@ static struct hda_verb cxt5051_init_verbs[] = {
 	{0x14, AC_VERB_SET_AMP_GAIN_MUTE, AMP_IN_UNMUTE(1) | 0x44},
 	{0x15, AC_VERB_SET_AMP_GAIN_MUTE, AMP_IN_UNMUTE(0) | 0x44},
 	/* SPDIF route: PCM */
+	{0x1c, AC_VERB_SET_PIN_WIDGET_CONTROL, PIN_OUT}, 
 	{0x1c, AC_VERB_SET_CONNECT_SEL, 0x0},
+
 	/* EAPD */
 	{0x1a, AC_VERB_SET_EAPD_BTLENABLE, 0x2}, /* default on */ 
 	{0x16, AC_VERB_SET_UNSOLICITED_ENABLE, AC_USRSP_EN|CONEXANT_HP_EVENT},
@@ -1975,6 +1977,8 @@ static int patch_cxt5051(struct hda_codec *codec)
 						  cxt5051_models,
 						  cxt5051_cfg_tbl);
 	spec->auto_mic = AUTO_MIC_PORTB | AUTO_MIC_PORTC;
+
+#if 0 // PLB
 	switch (board_config) {
 	case CXT5051_HP:
 		spec->mixers[0] = cxt5051_hp_mixers;
@@ -1997,7 +2001,7 @@ static int patch_cxt5051(struct hda_codec *codec)
 		spec->auto_mic = AUTO_MIC_PORTB;
 		break;
 	}
-
+#endif
 	return 0;
 }
 
